
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.image.*;
import java.util.Scanner; 

/**
 * This class practices using a GUI 
 * 
 * @author (your name) 
 * @version (a version number)
 */
public class GuiIntro extends BorlandBase
{
    //We have 3 swing components that we must declare up here, so every method has access to them
    JLabel myLabel = new JLabel ("Enter text");
    BTextField myField = new BTextField(20);
    JButton lowerCase= new JButton ("To Lower");
    JButton upperCase = new JButton ("To Upper"); 
    
    /**
     * This method will be called one time at the beginning of your applet/program
     */
    public void initialize()
    {
        addItem(myLabel);
        addItem(myField);
        addItem(lowerCase);
        addItem(upperCase);        
    }

    /**
     * This method gets called if the button is pressed
     * c  is the component (button usually) that was pressed
     */
    public void buttonPressed (Component c)
    {
        echo ("action being performed");  //this is just like system.out.println - but shorter
        if (c == lowerCase)
        {            
            String text=myField.getText();
            String lower=text.toLowerCase();
            myField.setText(lower);            
        }
        if (c == upperCase)
        {
            String text=myField.getText();
            String caps=text.toUpperCase();
            myField.setText(caps);
        }
    }

    /**
     * This method if you would like to do drawing on your screen
     */
    public void paintScreen (Graphics g)
    {       
    }


    public static void runAsApplet()
    {
        try{  BorlandBase.runAsApplet((BorlandBase)(new Object() { }.getClass().getEnclosingClass().newInstance()));  }
        catch (Exception e){e.printStackTrace();}
    }

    public static void main(String[] args) {
        try{  BorlandBase.main((BorlandBase)(new Object() { }.getClass().getEnclosingClass().newInstance()));  }
        catch (Exception e){e.printStackTrace();}
    }

}
